Time entry user is shown twice in the User drop-down when editing spent time

2020-04-22 16:06 - Thomas Löber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.1.2   

Resolution: Fixed Affected version: 4.1.1

Description

Hi,

When editing Spent Time the current time entry user is shown twice in the User drop-down.

This is because the condition to add the current time entry user to the collection is wrong in

TimelogHelper#user_collection_for_select_options.

It is:

collection << time_entry.user unless time_entry.user.nil? && !collection.include?(time_entry.user)

 But it should be:

collection << time_entry.user if time_entry.user && !collection.include?(time_entry.user)

 Best regards,

Thomas

Related issues:

Related to Redmine - Defect #32973: Editing a time entry for a locked user ch... Closed

Associated revisions

Revision 19727 - 2020-04-27 08:19 - Go MAEDA

Fix time entry user is shown twice in the User drop-down (#33341).

Patch by Thomas Löber and Marius BALTEANU.

Revision 19728 - 2020-04-27 08:33 - Go MAEDA

Merged r19727 from trunk to 4.1-stable (#33341).

History

#1 - 2020-04-22 16:14 - Go MAEDA

- File 33341-screenshot.png added

- Status changed from New to Confirmed

- Affected version set to 4.1.0
#2 - 2020-04-22 16:16 - Go MAEDA

- Affected version changed from 4.1.0 to 4.1.1

#3 - 2020-04-22 16:18 - Go MAEDA

- Related to Defect #32973: Editing a time entry for a locked user changes the user to the current user added

#4 - 2020-04-22 16:20 - Go MAEDA

- Target version set to 4.1.2

#5 - 2020-04-26 18:52 - Marius BĂLTEANU

- File 0001-Fix-time-entry-user-is-shown-twice-in-the-User-drop-.patch added

The fix looks good to me. The attached patch contains the fix and an assertion.

Tests pass: https://gitlab.com/redmine-org/redmine/pipelines/139995890

#6 - 2020-04-27 08:36 - Go MAEDA

- Subject changed from When editing Spent Time the current time entry user is shown twice in the User drop-down to Time entry user is shown twice

in the User drop-down when editing spent time

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

Files

timelog_helper.diff 686 Bytes 2020-04-22 Thomas Löber

33341-screenshot.png 109 KB 2020-04-22 Go MAEDA

0001-Fix-time-entry-user-is-shown-twice-in-the-User-drop-.patch 1.51 KB 2020-04-26 Marius BĂLTEANU
